OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ParallelShaderCompile

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBParallelShaderCompile :: MonadIO m => m Bool
- gl_ARB_parallel_shader_compile :: Bool
- pattern GL_COMPLETION_STATUS_ARB :: GLenum
- pattern GL_MAX_SHADER_COMPILER_THREADS_ARB :: GLenum
- glMaxShaderCompilerThreadsARB :: MonadIO m => GLuint -> m ()

# Extension Support

glGetARBParallelShaderCompile :: MonadIO m => m Bool Source #

Is the ARB_parallel_shader_compile extension supported?

gl_ARB_parallel_shader_compile :: Bool Source #

Is the ARB_parallel_shader_compile extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBParallelShaderCompile` in those cases instead.

# Enums

pattern GL_COMPLETION_STATUS_ARB :: GLenum Source #

pattern GL_MAX_SHADER_COMPILER_THREADS_ARB :: GLenum Source #

# Functions

glMaxShaderCompilerThreadsARB Source #

Arguments

:: MonadIO m |
=> GLuint | `count`.
-> m () |

This command is an alias for `glMaxShaderCompilerThreadsKHR`.